
///////////////////////////////////////
//                                   //
//        Updated: 04-02-2007        //
//           Graffiti Wall           //
//       FileName: collapse.js       //
//    Written by midnightfun.co.uk   //
//       www.midnightfun.co.uk       //
//            Version 2.0            //
//     License: See license.html     //
//               2007               //
//                                   //
///////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//             Editing is NOT allowed to any of the code below!            //
//                                                                         //
//   If you edit any of the code below this part the script may not work   //
//              and you will be in violation of the licence!               //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

function init()
{
	var cookie = getCookie('collapse_obj');
	if(cookie)
	{
		var itm = getItem(cookie);
		if(itm)
			itm.style.display = '';
	}
}

function makeCookie(name, value)
{
	var cookie = name + '=' + escape(value) + ';';
	document.cookie = cookie;
}

function getCookie(name)
{
	if(document.cookie == '')
		return false;

	var firstPos;
	var lastPos;
	var cookie = document.cookie;

	firstPos = cookie.indexOf(name);

	if(firstPos != -1)
	{
		firstPos += name.length + 1;
		lastPos = cookie.indexOf(';', firstPos);

		if(lastPos == -1)
			lastPos = cookie.length;
		return unescape(cookie.substring(firstPos, lastPos));
	}
	return false;
    }

function getItem(id)
{
	var itm = false;
	if(document.getElementById)
		itm = document.getElementById(id);
	else if(document.all)
		itm = document.all[id];
	else if(document.layers)
		itm = document.layers[id];
	return itm;
}

function toggleItem(id,obj)
{
	var menuList=["stats","wallset","online","main","wipe","loggin","filter","template","ip","username","font","anti"] 
	var itm = getItem(id);
	if(!itm)
		return false;

	var isOpen=false;
	if(itm.style.display == 'none') {
		itm.style.display = '';
		isOpen=true;
	} else {
		itm.style.display = 'none';
	}
	
	if(isOpen){
	        makeCookie('collapse_obj',id);
	}
	else{
		makeCookie('collapse_obj','') 
	}

	for(var i=0;i<menuList.length;i++){ 
		if(menuList[i]==id){continue}
		var menu=getItem(menuList[i])
		if(!menu){continue}
		menu.style.display="none"
	}

	return false;
}

function emptyCookie() {
	makeCookie('collapse_obj','') 
}
